CPX2PS(1)

NAME
cpx2ps - Produce various eps codes from complex data files.

DESCRIPTION
cpx2ps v2.1, FMR software, Bert Kampes, (c)1999-2000 \n

+++ WARNING: infile missing

    SYNOPSIS:

    cpx2ps -w width [-f format==cr4] [-q out==mag] [-e exp==1.0] [-s sc==1.0]

    [-l 1] [-L alllines] [-p 1] [-P width] [-M1/1 | -F1/1] [-m mirror] [-T title] [-c cptname==gray] [-z size==16] [-o epsfile] [-G grdfile] [-C cptfile] [-gKSUVZ] [-h elp] [--] cpxfile

    cpxfiddle options:

-w width
    of complexfile in complex pixels

-f format
    of complex input file. ci2|cr4|cr8 (cr4 is default) r4 now also possible, though it limites other options. do not use subsampling, mirroring etc, file is cat-ed.

-q output
    what is to be computed mag|phase|real|imag|normal (mag is default)

-e exp
    compute scale*output^exp

-s scale
    compute scale*output^exp

-l firstline
    cut out complexfile from firstline

-L lastline
    cut out complexfile up to lastline

-p firstpixel cut out complexfile from firstpixel

-P lastpixel
    cut out complexfile up to lastpixel

-m X Y XY
    mirror option.

-M 1/1
    multilook factor in X/Y direction

-F 1/1
    subsample Factor in X/Y direction

    GMT options:

-T title
    title to plot (one word only for now) default no title

-c colortable name of color table (see grd2cpt)
    if -q mag then gray table is default if -q other then gray table is default

-S  add a scale bar (psscale)

-Z  continuous color table (grd2cpt)

-K  Leave postscript file open after last call to GMT

-z cm
    largest size of paper

-U  Place UNIX time stamp and filename in output

    General options:

-g  Do not call gv to view result.

-o  output postscript file, default=23812.eps (pid)

-G  output grd file, default=23812.eps (pid) If specified, file is not removed at end If file exists, prompted for reuse.

-C  output cpt file, default=23812.cpt (pid) If specified, file is not removed at end If file exists, prompted for reuse.

-V erbose
    give verbose information

-h elp
    this help

complexfile
    inputfile, major row order pixel interleaved

    EXAMPLES:

    Generate a postscript file with phase of complex interferogram in file cpxint.raw (complex 2x4B floats) that has 998 range pixels:

    cpx2ps -w 998 -qphase -fcr4 -- cpxint.raw

    The same but with a scale bar, timestamp, and no title:

    cpx2ps -w 998 -qphase -fcr4 -Tnone -U -S -- cpxint.raw

    To plot the magnitude to the power 0.3 of a file in the format complex short integers (2x2B) use:

    cpx2ps -w 998 -qmag -fci2 -e0.3 -- cpxint.raw

    To see a large file it is convenient to set a large size (-z). This file cannot be printed, but viewing it with gv is nice:

    cpx2ps -w 998 -qphase -z200 -- cpxint.raw

    To plot the phase of a hgt file, first create a tmp file with the program hgt2file (hgtfile infile linelength tmpfile [ampflag]) Next, run cpx2ps with appropriate flags for a float file, e.g. (Note that this limits some options in scaling etc.):

    cpx2ps -w 998 -crainbow -fr4 -- tmpfile

    BUGS:

    When mirroring and multilooking/subsampling sometimes the number of lines/pixels of the output is computed incorrectly. Simply don't use multilooking/subsampling...

    Please mail bugs/comments to kampes@geo.tudelft.nl

    SEE ALSO:

    cpxfiddle, GMT

+++ WARNING: infile missing

    PROGRAM: cpx2ps -- Produce various eps codes from complex data files.

    SYNOPSIS:

    cpx2ps -w width [-f format==cr4] [-q out==mag] [-e exp==1.0] [-s sc==1.0]

    [-l 1] [-L alllines] [-p 1] [-P width] [-M1/1 | -F1/1] [-m mirror] [-T title] [-c cptname==gray] [-z size==16] [-o epsfile] [-G grdfile] [-C cptfile] [-gKSUVZ] [-h elp] [--] cpxfile

    cpxfiddle options:

-w width
    of complexfile in complex pixels

-f format
    of complex input file. ci2|cr4|cr8 (cr4 is default) r4 now also possible, though it limites other options. do not use subsampling, mirroring etc, file is cat-ed.

-q output
    what is to be computed mag|phase|real|imag|normal (mag is default)

-e exp
    compute scale*output^exp

-s scale
    compute scale*output^exp

-l firstline
    cut out complexfile from firstline

-L lastline
    cut out complexfile up to lastline

-p firstpixel cut out complexfile from firstpixel

-P lastpixel
    cut out complexfile up to lastpixel

-m X Y XY
    mirror option.

-M 1/1
    multilook factor in X/Y direction

-F 1/1
    subsample Factor in X/Y direction

    GMT options:

-T title
    title to plot (one word only for now) default no title

-c colortable name of color table (see grd2cpt)
    if -q mag then gray table is default if -q other then gray table is default

-S  add a scale bar (psscale)

-Z  continuous color table (grd2cpt)

-K  Leave postscript file open after last call to GMT

-z cm
    largest size of paper

-U  Place UNIX time stamp and filename in output

    General options:

-g  Do not call gv to view result.

-o  output postscript file, default=23819.eps (pid)

-G  output grd file, default=23819.eps (pid) If specified, file is not removed at end If file exists, prompted for reuse.

-C  output cpt file, default=23819.cpt (pid) If specified, file is not removed at end If file exists, prompted for reuse.

-V erbose
    give verbose information

-h elp
    this help

complexfile
    inputfile, major row order pixel interleaved

    EXAMPLES:

    Generate a postscript file with phase of complex interferogram in file cpxint.raw (complex 2x4B floats) that has 998 range pixels:

    cpx2ps -w 998 -qphase -fcr4 -- cpxint.raw

    The same but with a scale bar, timestamp, and no title:

    cpx2ps -w 998 -qphase -fcr4 -Tnone -U -S -- cpxint.raw

    To plot the magnitude to the power 0.3 of a file in the format complex short integers (2x2B) use:

    cpx2ps -w 998 -qmag -fci2 -e0.3 -- cpxint.raw

    To see a large file it is convenient to set a large size (-z). This file cannot be printed, but viewing it with gv is nice:

    cpx2ps -w 998 -qphase -z200 -- cpxint.raw

    To plot the phase of a hgt file, first create a tmp file with the program hgt2file (hgtfile infile linelength tmpfile [ampflag]) Next, run cpx2ps with appropriate flags for a float file, e.g. (Note that this limits some options in scaling etc.):

    cpx2ps -w 998 -crainbow -fr4 -- tmpfile

    BUGS:

    When mirroring and multilooking/subsampling sometimes the number of lines/pixels of the output is computed incorrectly. Simply don't use multilooking/subsampling...

    Please mail bugs/comments to kampes@geo.tudelft.nl

    SEE ALSO:

    cpxfiddle, GMT

SEE ALSO
The full documentation for cpx2ps is maintained as a Texinfo manual. If the info and cpx2ps programs are properly installed at your site, the command

    info cpx2ps

should give you access to the complete manual.